curl_multi_add_handle
curl_multi_exec
cURL Functions
PHP Manual

# curl_multi_close

(PHP 5)

curl_multi_close — Close a set of cURL handles

### Description

void curl_multi_close ( resource `$mh` )

Closes a set of cURL handles.

### Parameters

`mh`

  A cURL multi handle returned by curl_multi_init().

### Return Values

No value is returned.

### Examples

Example #1 curl_multi_close() example

This example will create two cURL handles, add them to a multi handle, and then run them in parallel.

`<?php
// create both cURL resources
$ch1 = curl_init();
$ch2 = curl_init();
// set URL and other appropriate options
curl_setopt($ch1, CURLOPT_URL, "http://www.example.com/");
curl_setopt($ch1, CURLOPT_HEADER, 0);
curl_setopt($ch2, CURLOPT_URL, "http://www.php.net/");
curl_setopt($ch2, CURLOPT_HEADER, 0);
//create the multiple cURL handle
$mh = curl_multi_init();
//add the two handles
curl_multi_add_handle($mh,$ch1);
curl_multi_add_handle($mh,$ch2);
$running=null;
//execute the handles
do {
curl_multi_exec($mh,$running);
} while ($running > 0)
//close the handles
curl_multi_remove_handle($ch1);
curl_multi_remove_handle($ch2);
curl_multi_close($mh);
?>`

### See Also

- curl_multi_init()
- curl_close()

curl_multi_add_handle
curl_multi_exec
cURL Functions
PHP Manual